package com.style24.batch.biz.dao;

import com.gagaframework.web.parameter.GagaMap;
import com.style24.core.support.annotation.ShopDs;
import com.style24.persistence.domain.Customer;
import com.style24.persistence.domain.Migration;
import org.springframework.stereotype.Repository;

import java.util.Collection;

/**
 * 마이그레이션 Dao
 *
 * @author swkim
 * @since 2021. 05. 17
 */
@ShopDs
@Repository
public interface TsbMigrationDao {

	int getCustomerCnt(Migration migration);

	Collection<Migration> getCustomerList(Migration migration);

	int updateCustomerEncrypt(Migration migration);

	int getCustomerAllCnt(Migration migration);

	Collection<Migration> getCustomerListAll(Migration migration);

	Collection<Migration> getCancelOrderDtlList();

	int updateOrderDetail(Migration migration);

	int updateOrderChangeDetail(Migration migration);

	Migration getCancelOrderDtl(int ordDtlNo);

	int getCustAccountCnt();

	Collection<Migration> getCustAccountList(Migration migration);

	int updateCustAccountEnc(Migration migration);

	int getRefundAccountCnt();

	Collection<Migration> getRefundAccountList(Migration migration);

	int updateRefundAccountEnc(Migration migration);
}
